/*
 * Basic GRAPE demo program - creates a scene and adds house project
 */

#include <grape.h>


int main()
{
  MANAGER *mgr;
  SCENE *scn;

  g_project_add("house");

  mgr = (MANAGER *)GRAPE(Manager, "get-stdmgr")();
  scn = (SCENE *)GRAPE(Scene, "new-instance")("main");

  ASSURE(mgr && scn, "can't create manager or scene", return 10);

  GRAPE(mgr, "handle")(scn);

  return 0;
}
